FOLD(1)

NAME
fold - Writes each file (or standard input if no files are given) to standard output whilst breaking long lines

SYNOPSIS
fold [-b|--bytes] [-c|--characters] [-s|--spaces] [-w|--width] [-h|--help] [-V|--version] [file]

DESCRIPTION
Writes each file (or standard input if no files are given) to standard output whilst breaking long lines

OPTIONS

-b, --bytes
    count using bytes rather than columns (meaning control characters such as newline are not treated specially)

-c, --characters
    count using character positions rather than display columns

-s, --spaces
    break lines at word boundaries rather than a hard cut-off

-w, --width <WIDTH>
    set WIDTH as the maximum line width rather than 80

-h, --help
    Print help

-V, --version
    Print version

VERSION
v(uutils coreutils) 0.10.0

EXAMPLES
Wrap each line to default width (80 characters):

fold path/to/file

Wrap each line to width "30":

fold -w30 path/to/file

Wrap each line to width "5" and break the line at spaces (puts each space separated word in a new line, words with length > 5 are wrapped):

fold -w5 -s path/to/file

The examples are provided by the tldr-pages project <https://tldr.sh> under the CC BY 4.0 License. Please note that, as uutils is a work in progress, some examples might fail.